PreviousNext
Logo of QWED

4.1.6 Ellipsoid

For creating an Ellipsoid, go to Geometry tab in the QW-Modeller Ribbon and press button. The Create Ellipsoid dialogue with default parameters and preview of the ellipsoid solid will appear.


Name and medium
We can set the name of the ellipsoid and choose the medium assigned to the ellipsoid from Medium list. The Medium list contains all media available in the Project Media (see Media chapter for more information) and the default medium is taken from current active medium (see Media section for more information).


Parameters
The Parameters section contains the ellipsoid radius in Z direction (Radius1), radius in X direction (Radius2), radius in Y direction (Radius3), angle of rotation of the elliptical cross section (U Parameter) and angles to define lower and upper truncation of the ellipsoid (V Parameters) for creating a portion of the ellipsoid.


Position
The Position section contains X, Y and Z centre position relative to the origin 0, 0, 0 and the axis of direction: X, Y, Z (default) or User defined described by (x, y, z) vector.

The part of ellipsoid at origin position and along X axis.


The part of ellipsoid at origin position and along Y axis.


The part of ellipsoid at origin position and along Z axis.


The part of ellipsoid shifted from origin position and along Z axis.


The part of ellipsoid shifted from origin position and along axis described by (1, 0, 1) vector.


Map to face
From Pick option allows adjusting the centre position, axis of direction and size to the selected area.


Press left mouse button for face selection.


Press From Pick button to place the ellipsoid in the middle of the selected face.


Select Use dimensions from the list and press From Pick button to place the torus in the middle of the selected face and adjust the size to the dimensions of the face.


Python code
The python code, which can be useful when creating project scripts, generated by Create Ellipsoid dialogue for default parameters:

from FreeCAD import Base
import Part,PartGui
App.ActiveDocument.addObject("Part::Ellipsoid","Ellipsoid")
App.ActiveDocument.Ellipsoid.Radius1 = 2.00000
App.ActiveDocument.Ellipsoid.Radius2 = 4.00000
App.ActiveDocument.Ellipsoid.Radius3 = 4.00000
App.ActiveDocument.Ellipsoid.Angle1 = -90.00000
App.ActiveDocument.Ellipsoid.Angle2 = 90.00000
App.ActiveDocument.Ellipsoid.Angle3 = 360.00000
App.ActiveDocument.Ellipsoid.Placement = Base.Placement(Base.Vector(0.00000,0.00000,0.00000),Base.Rotation(0.00000,0.00000,0.00000,1.00000))
App.ActiveDocument.Ellipsoid.Label = "Ellipsoid"
App.ActiveDocument.Ellipsoid.Medium = QW_Modeller.getQWMedium("metal")
Gui.SendMsgToActiveView("ViewFit")
App.ActiveDocument.recompute()

QWED Sp. z o.o.
Voice: +48 22 625 73 19
Fax: +48 22 621 62 99
info@qwed.eu
PreviousNext